%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	XML-SAX-Writer

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	XML::SAX::Writer - SAX2 Writer
Name:		perl-%{perlname}
Version:	0.50
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=XML+SAX+Writer
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-XML-NamespaceSupport perl-XML-SAX perl-Text-Iconv
BuildRequires:	perl-XML-Filter-BufferText

%description
XML::SAX::Writer - SAX2 Writer

For more details see: http://search.cpan.org/search?module=XML+SAX+Writer

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.50-1
- Initial Release  
